#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-7c9krgBmaEqEyGtNTEt4bF
key:                  ghcide-1.10.0.0-7c9krgBmaEqEyGtNTEt4bF
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  d3e3a29ddd2309ce0a886614de428ad2
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-7c9krgBmaEqEyGtNTEt4bF
depends:
    Diff-0.4.1-47RlfWGWXds34vUy9hSQS Glob-0.10.2-IUS0c8yYTOEJSZESSQNsvs
    aeson-2.1.2.1-I893iKJ0oHPJ1jEwOVWed6
    aeson-pretty-0.8.10-1w3bzFq1eKcCRjNt7mV0fD array-0.5.4.0
    async-2.2.5-LvPNzfas2yXKoPkwBBcN3R base-4.16.4.0
    base16-bytestring-1.0.2.0-E91HY5tPsI5AcRTlaN47xj binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-C9u4G83SV6G4MBj88LrUbo
    co-log-core-0.3.2.3-JxRWBSdKKZ2EtNQuUOyyhS containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-JWHGwwpgMnx55X1UCthTS7
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS deepseq-1.4.6.1
    dependent-map-0.4.0.0-IHBqaOtTPGe2VSjbNPHu7O
    dependent-sum-0.7.2.0-52VH3hCqBkFIQzsXsW5UWR directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-1AGDzQhWwYA27en03l4ZIW exceptions-0.10.4
    extra-1.7.16-KR1Y4egVNjKBcN1wDcWpKS filepath-1.4.2.2
    fingertree-0.1.5.0-Dwb2xzQagZ447GFqvLu1lo
    focus-1.0.3.2-By35sigv0okDbfwNahwMMH ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-I6DG6wiBcSCJQmMGigG1Ep
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-B34F6x2ya3XJyBFLOYzXMW
    hashable-1.4.4.0-BrYG523VafVKM4yDK0K7G3
    hie-bios-0.12.0-B5kNCTMRyc6CopGoZYCKQj
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-NmwSVBh1932WtJP5MpA7k
    hls-graph-1.9.0.0-JdUlZol8TlX5JgxZobn6H
    hls-plugin-api-1.6.0.0-5o61tOk1rYK4T6l0JlvRvS
    implicit-hie-0.1.2.7-IQcIZfEs6nY585CzOMQjo0
    implicit-hie-cradle-0.5.0.1-9GfQwmDeJd6GIiOrihub3l
    lens-5.2.3-44yRBOAfB7iFMS16KrPjpp
    list-t-1.0.5.5-APPwcQKq0nc7dyX80RksUZ
    lsp-1.6.0.0-J94lOF1VLJ85AbgOSZqiHi
    lsp-types-1.6.0.0-HhZ6mX8WaNU74nva3O4wpr mtl-2.2.2
    opentelemetry-0.8.0-LwoZKXsKi1mIwXGYXgleKa
    optparse-applicative-0.17.1.0-AgMeQrX7nmlDOnX2xcegDb
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-JEDC7ONR1vQJETgOTWpLZ0
    prettyprinter-ansi-terminal-1.1.3-4WG0PclEa1OHeT9lxo6Wrk
    random-1.2.1.2-3aSfWlsu7xc3wK3TRJn2vY
    regex-tdfa-1.3.2.2-9zKmqEaVx0vIf4YwE2VWyu
    safe-exceptions-0.1.7.4-7kAAcMyagC41h9VwPed6GP
    sorted-list-0.2.2.0-FJWsJE3CTdQ9jNb8JMYLXj
    sqlite-simple-0.4.19.0-5QBQce6wkhgBbEtGKWMM4A stm-2.5.0.2
    stm-containers-1.2.1-DZ9Y4L46qzGA6GKhHQL128
    syb-0.7.2.4-96PLGA9ePRoKEvwVQEltSr text-1.2.5.0
    text-rope-0.3-JGDgljI3qkj7fl1Q9uMT4k time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-I5KL8dbXVmE3dWILMxzDhI
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-HYi8F0R2X5DJGcgMLraHLn
    vector-0.13.1.0-Gf2urNiIAD32gZDiWE6SSZ

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

